//*****************************************************************************
// Disp_Ask_Bid_01.mq4 2011-06-22
//
// This code display ask-bid value.
// indicator
// Create by artsurf
//*****************************************************************************

#property indicator_chart_window
extern int word_size = 14;
extern color word_color = White;
extern bool right_left = false;
extern int x_distance = 5;
extern int y_distance = 15;


//-----------------------------------------------------------------------------

int init(){
	return(0);
}


//-----------------------------------------------------------------------------

int deinit(){
	ObjectsDeleteAll(0, OBJ_LABEL);
	return(0);
}


//-----------------------------------------------------------------------------

int start(){
	string disp_price, avg_price_string, time_string;
	double ask_price = MarketInfo(Symbol(), MODE_ASK);
	double bid_price = MarketInfo(Symbol(), MODE_BID);
   double avg_price = (ask_price + bid_price)/2;
   
	disp_price = StringConcatenate(DoubleToStr(ask_price, Digits)," - ",DoubleToStr(bid_price, Digits));
	avg_price_string = StringConcatenate("Average: ",DoubleToStr(avg_price, Digits));
	time_string = StringConcatenate("Time: ",Hour(), ":", Minute(), ":", Seconds());

	ObjectCreate("bidask", OBJ_LABEL, 0, 0, 0);
	ObjectSetText("bidask", disp_price, word_size, "Arial", word_color);
	ObjectSet("bidask", OBJPROP_CORNER, right_left);
	ObjectSet("bidask", OBJPROP_XDISTANCE, x_distance);
	ObjectSet("bidask", OBJPROP_YDISTANCE, y_distance);
	
	ObjectCreate("avg", OBJ_LABEL, 0, 0, word_size);
	ObjectSetText("avg", avg_price_string, word_size, "Arial", word_color);
	ObjectSet("avg", OBJPROP_CORNER, right_left);
	ObjectSet("avg", OBJPROP_XDISTANCE, x_distance);
	ObjectSet("avg", OBJPROP_YDISTANCE, y_distance+word_size+3*2);
	
	ObjectCreate("time", OBJ_LABEL, 0, 0, word_size);
	ObjectSetText("time", time_string, word_size, "Arial", word_color);
	ObjectSet("time", OBJPROP_CORNER, right_left);
	ObjectSet("time", OBJPROP_XDISTANCE, x_distance);
	ObjectSet("time", OBJPROP_YDISTANCE, y_distance+word_size*2+4*3);

	return(0);
}


